import { NextFunction, Request, Response } from 'express';
export interface RouteHandler<T extends any = any, Req extends Request = Request, Res extends Response = Response, Next extends NextFunction = NextFunction> {
    (req: Req, res: Res, next: Next): T | Promise<T>;
}
